package com.kingdee.eas.custom.facade.worktime;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class WorktimeFacdeFactory
{
    private WorktimeFacdeFactory()
    {
    }
    public static com.kingdee.eas.custom.facade.worktime.IWorktimeFacde getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.facade.worktime.IWorktimeFacde)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("41DD44F7") ,com.kingdee.eas.custom.facade.worktime.IWorktimeFacde.class);
    }
    
    public static com.kingdee.eas.custom.facade.worktime.IWorktimeFacde getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.facade.worktime.IWorktimeFacde)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("41DD44F7") ,com.kingdee.eas.custom.facade.worktime.IWorktimeFacde.class, objectCtx);
    }
    public static com.kingdee.eas.custom.facade.worktime.IWorktimeFacde getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.facade.worktime.IWorktimeFacde)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("41DD44F7"));
    }
    public static com.kingdee.eas.custom.facade.worktime.IWorktimeFacde getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.facade.worktime.IWorktimeFacde)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("41DD44F7"));
    }
}